
Redmine - Feature #3390

Ability to add watchers to forum threads

2009-05-19 22:03 - Brad Beattie

Status: Closed Start date: 2009-05-19

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

If issues are restricted in use to actionable items and forums are used for general discussion and brainstorming, it would be nice to

be able to add watchers to threads (by permission, of course).

If a project manager could add others as watchers to threads, they would be informed of their creation and updates (much like adding

watchers to issues).

At the moment, there's no way to inform a subset of a project's members that a thread is relevant to them.

Related issues:

Related to Redmine - Feature #911: Add A "Notify These Members" Option In For... New 2008-03-21

Related to Redmine - Feature #7697: Extend watchers functionality of wiki and... Closed 2011-02-23

Has duplicate Redmine - Feature #6680: add other users as follower to forum t... Closed 2010-10-15

Associated revisions

Revision 20787 - 2021-03-15 05:55 - Go MAEDA

Ability to add watchers to forum threads (#3390).

Patch by Yuichi HARADA.

Revision 20788 - 2021-03-15 05:57 - Go MAEDA

Update locales (#3390).

History

#1 - 2010-08-02 16:34 - Jeroen Kouwe

+1

Related to: #2064

Discussed in: Forums watch list

#2 - 2010-08-03 22:17 - Jeroen Kouwe

See: Redmine boards watchers plugin for a solution by Vitaly Klimov.

#3 - 2018-12-15 07:11 - Go MAEDA

- Has duplicate Feature #6680: add other users as follower to forum thread added

#4 - 2021-01-14 06:41 - Yuichi HARADA

- File add-and-remove-watchers.png added

- File roles-and-permissions.png added

- File 3390.patch added

You can now add and remove watchers from forum messages (can be done on the sidebar like issues).

I have attached a patch.
https://www.redmine.org/issues/2064
www.redmine.org/boards/1/topics/5846
www.redmine.org/boards/3/topics/16247
#5 - 2021-01-20 11:08 - Go MAEDA

- Target version set to Candidate for next major release

#6 - 2021-01-26 15:36 - Go MAEDA

- File 3390-v2.patch added

- Target version changed from Candidate for next major release to 4.2.0

I have updated the patch to make permission names unique.

Setting the target version to 4.2.0.

#7 - 2021-03-12 09:31 - Go MAEDA

- Related to Feature #911: Add A "Notify These Members" Option In Forum Posts added

#8 - 2021-03-15 06:02 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for improving Redmine.

Now users who have appropriate permissions can add watchers to existing forum messages. The following three permissions have been added.

View message watchers list

Add message watchers

Delete message watchers

#9 - 2021-05-29 09:11 - Go MAEDA

- Related to Feature #7697: Extend watchers functionality of wiki and forums to be like issues added

Files

add-and-remove-watchers.png 150 KB 2021-01-14 Yuichi HARADA

roles-and-permissions.png 211 KB 2021-01-14 Yuichi HARADA

3390.patch 9.84 KB 2021-01-14 Yuichi HARADA

3390-v2.patch 9.85 KB 2021-01-26 Go MAEDA
